Subject: Re: [mpls-tp] Query on MPLS-TP identifiers: draft-ietf-mpls-tp-identifiers

From: George Swallow <[email-masked]>
Date: Mon, 12 Jul 2010 16:21:54 -0400

Is there any reason that the Sink MEP needs an ID that is different from the
Source MEP?

Could we not use the same ID, but a different TLV encoding?   Where do you
see these as being needed?  In OAM messages, or just local to the endpoint
equipment?

...george

On 5/19/10 11:36 AM, "Mukund Mani" <[email-masked]> wrote:

> Hi TP-Group
>  
> Had certain queries on the draft "draft-ietf-mpls-tp-identifiers". Could the
> draft authors kindly clarify the same...
>  
> 1. Are there any specific cases wherein MEG ID is carried in any of the OAM
> packets?  
>  
> 2.    As per the draft a MPLS-TP LSP_MEP_ID is:
>  
>       Src-Node_ID::Src-Tunnel_Num::LSP_Num
>  
> Considering an associated bi-directional LSP between nodes A and B, for each
> direction of the LSP, two MEP's will be configured (Source and Sink MEP
> respectively). 
>  
> Let the tunnel number and lsp number established between A and B be 100 and 1
> respectively.
> Similarly the tunnel number and lsp number establsihed between B and A be 200
> and 1 respectively.
>  
> The Source MEP for the forward direction ME (lsp) can be identified with the
> above format as say A:100:1
>  
> Similary the Source MEP on the reverse direction ME can be identified as
> B:200:1
>  
> How would the Sink MEP's be identified in this case for each direction?
>  
>  
> With Regards
> Mukund
> 
> 
> _______________________________________________
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: Mukund Mani <[email-masked]>
Date: Tue, 13 Jul 2010 23:55:52 +0530

Hi George

As per the TP OAM framework-07 Section 3.1

   In case of associated bi-directional point-to-point transport
   paths, two independent unidirectional Maintenance Entities are
   defined to independently monitor each direction.

   In case of co-routed bi-directional point-to-point transport
   paths, a single bidirectional Maintenance Entity is defined to
   monitor both directions congruently.

Also as per Section 2.2:

   Maintenance Entity (ME): Some portion of a transport path that
   requires management bounded by two points (called MEPs), and the
   relationship between those points to which maintenance and
   monitoring operations apply

Now interpreting from the above statements, consider associated
bi-directional LSP's as depicted below:

      R1                                        LSP1
           R5
  Source MEP FW (M1)-------------------------------------------> Sink MEP FW
(M2)
                                                  LSP2
  Sink MEP REV (M4)<--------------------------------------------- Source MEP
REV (M3)

As an example consider independent monitoring and BFD session establishment
for the forward path, LSP1. BFD control messages would
be exchanged between MEP's M1 and M2 during session establishment for LSP1.

BFD messages in CV mode should contain the MEP id of the source of the BFD
packet[MPLS-TP-CC-CV-RDI draft]

BFD control messages from the source MEP M1 will contain M1 MEP id.
BFD messages sent by the sink MEP of the forward path(M2) should contain the
sink MEP id (M2)
(Please correct me if I am wrong here and it should contain MEP id M3
instead?).

Thus I feel the sink identification might also be used in the OAM packets.

If the sink MEP identification could be same as the source MEP,
it would be good if a small note could be added to the TP identifiers
draft...

With Regards
Mukund

On Tue, Jul 13, 2010 at 1:51 AM, George Swallow <[email-masked]> wrote:

>  Is there any reason that the Sink MEP needs an ID that is different from
> the Source MEP?
>
> Had certain queries on the draft "draft-ietf-mpls-tp-identifiers". Could
> the draft authors kindly clarify the same...
>
> Considering an associated bi-directional LSP between nodes A and B, for
> each direction of the LSP, two MEP's will be configured (Source and Sink MEP
> respectively).
>
> Let the tunnel number and lsp number established between A and B be 100 and
> 1 respectively.
> Similarly the tunnel number and lsp number establsihed between B and A be
> 200 and 1 respectively.
>
> The Source MEP for the forward direction ME (lsp) can be identified with
> the above format as say A:100:1
>
> ------------------------------